Activate Kiosk

Purpose

To activate a Kiosk that is in draft or inactive state in Zoho CRM. Once activated, the Kiosk becomes active and can be used for data collection. Activate a Kiosk after configuring its states and before using the Execute a Kiosk API.

A Kiosk can be in one of three states: 

  • draft - Not yet activated
  • active - Currently live and in use
  • inactive Previously active and later deactivated. 

Use the Get All Kiosks API to retrieve the Kiosk ID. You can activate only a Kiosk that is in the draft or inactive state. Use the Get a Specific Kiosk API to check the current status of the Kiosk from the status key in the response. Example: "status": "draft"

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation  permission enabled.

Endpoints

  • PUT /settings/kiosks/{kiosk_ID}/actions/activate

Request Details

Request URL

{api-domain}/crm/{version}/settings/kiosks/{kiosk_ID}/actions/activate

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.UPDATE
or
ZohoCRM.settings.ALL
 

Note

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks/5725767000010100001/actions/activate"
-X PUT
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • INVALID_DATAHTTP 400

    Invalid Kiosk ID
    Resolution: Specify a valid Kiosk ID. Use the Get All Kiosks API to retrieve the Kiosk ID.

  • ALREADY_ACTIVATEDHTTP 400

    The specified Kiosk ID has already been activated
    Resolution: Specify a Kiosk ID which is in deactivate state or in draft state. Use the Get All Kiosks API to retrieve Kiosk IDs. Filter kiosks using the status key with value draft / deactivate.

  • NOT_ALLOWEDHTTP 400

    Specified Kiosk cannot be activated
    Resolution: There is no screen or action configured before the end state. Ensure that at least one screen element is added to the Kiosk. Use the Create a Kiosk State API to properly configure the Kiosk flow before activating it.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to activate the Kiosk. Create a new token with valid scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "kiosks": {
        "code": "SUCCESS",
        "details": {
            "id": "5725767000010100001"
        },
        "message": "Kiosk activated successfully",
        "status": "success"
    }
}